| Bsoft 2.0.5 Bernard's software package

Functions
bshow_param.tcl File Reference

Procedures to read and write parameter files. More...

Go to the source code of this file.

## Functions
| setupParameterMenu
| Menu for opening and closing parameter files. More...
| openParam
| Opens a micrograph parameter file for reading. More...
| loadParam file
| Opens a micrograph parameter file for reading. More...
| appendParam
| Appends one or more micrograph parameter files. More...
| tag_line w
| selectAFile
| Dialog box to select an image file. More...
| setSelectionAndDestroy
| updateClassParam
| updateParametersAndImage
| getNeighborImageOfType dir
| getNeighborImageOfType2 dir
| setupMicrographID w
| Sets up micrograph id and total. More...
| setupMicrographButtons w typelabel
| Sets up micrograph navigation and selection buttons. More...
| createMgParam
| Creates micrograph parameters from the image. More...
| micrographItem n
| Returns the current project item. More...
| selectMicrograph
| setMgParam
| Updates an existing project for micrograph parameters in memory. More...
| writeParam
| Saves the micrograph data base to a parameter file. More...
| editParam
| Edits a text parameter file. More...
| checkParamFile
| Checks if the parameter file exist, otherwise save it. More...

## Detailed Description

Procedures to read and write parameter files.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20190911

Definition in file bshow_param.tcl.

## Function Documentation

## ◆ appendParam()

appendParam

Appends one or more micrograph parameter files.

Definition at line 101 of file bshow_param.tcl.

## ◆ checkParamFile()

checkParamFile

Checks if the parameter file exist, otherwise save it.

Definition at line 608 of file bshow_param.tcl.

## ◆ createMgParam()

createMgParam

Creates micrograph parameters from the image.

Definition at line 447 of file bshow_param.tcl.

## ◆ editParam()

editParam

Edits a text parameter file.

Definition at line 600 of file bshow_param.tcl.

## ◆ getNeighborImageOfType()

getNeighborImageOfType |  |  | dir

Definition at line 280 of file bshow_param.tcl.

## ◆ getNeighborImageOfType2()

getNeighborImageOfType2 |  |  | dir

Definition at line 340 of file bshow_param.tcl.

## ◆ loadParam()

loadParam |  |  | file

Opens a micrograph parameter file for reading.

Parameters

  file | parameter file name.

Definition at line 86 of file bshow_param.tcl.

## ◆ micrographItem()

micrographItem |  |  | n

Returns the current project item.

Parameters

  n | micrograph index (first = 0)

Definition at line 492 of file bshow_param.tcl.

## ◆ openParam()

openParam

Opens a micrograph parameter file for reading.

Definition at line 66 of file bshow_param.tcl.

## ◆ selectAFile()

selectAFile

Dialog box to select an image file.

Definition at line 129 of file bshow_param.tcl.

## ◆ selectMicrograph()

selectMicrograph

Definition at line 515 of file bshow_param.tcl.

## ◆ setMgParam()

setMgParam

Updates an existing project for micrograph parameters in memory.

Definition at line 523 of file bshow_param.tcl.

## ◆ setSelectionAndDestroy()

setSelectionAndDestroy

Definition at line 218 of file bshow_param.tcl.

## ◆ setupMicrographButtons()

setupMicrographButtons |  |  | w typelabel

Sets up micrograph navigation and selection buttons.

Parameters

  w | window.
  typelabel | type of navigation (micrograph).

Definition at line 427 of file bshow_param.tcl.

## ◆ setupMicrographID()

setupMicrographID |  |  | w

Sets up micrograph id and total.

Parameters

  w | window.

Definition at line 404 of file bshow_param.tcl.

## ◆ setupParameterMenu()

setupParameterMenu

Menu for opening and closing parameter files.

Definition at line 22 of file bshow_param.tcl.

## ◆ tag_line()

tag_line |  |  | w

Definition at line 119 of file bshow_param.tcl.

## ◆ updateClassParam()

updateClassParam

Definition at line 231 of file bshow_param.tcl.

## ◆ updateParametersAndImage()

updateParametersAndImage

Definition at line 241 of file bshow_param.tcl.

## ◆ writeParam()

writeParam

Saves the micrograph data base to a parameter file.

Definition at line 564 of file bshow_param.tcl.